import { EventEmitter } from "../../stencil-public-runtime";
import { Criteria } from "selectively";
import * as langly from "langly";
export declare class PayfuncFilter {
  element: HTMLElement;
  t: langly.Translate;
  textEntered: boolean;
  criteriaString: string;
  filter?: Criteria;
  value: any[];
  filterChanged: EventEmitter;
  componentWillLoad(): Promise<void>;
  private checkTextEntered;
  private onFilter;
  criteriaStringChanged(): void;
  applyFilter(criteria?: Criteria): void;
  private reset;
  render(): any;
}
